## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToSourceTree Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment. More...

`#include <FormatterToSourceTree.hpp>`

Inheritance diagram for FormatterToSourceTree:

[legend]
Collaboration diagram for FormatterToSourceTree:

[legend]
List of all members.

## Public Types

- typedef XalanVector<XalanSourceTreeElement*> ElementStackType
- typedef XalanVector<XalanNode*> LastChildStackType
- enum { eDefaultStackSize = 50, eDefaultTextBufferSize = 100 }

## Public Methods

- FormatterToSourceTree (MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR, XalanSourceTreeDocument *theDocument=0)
    Construct a FormatterToSourceTree instance. More...
- FormatterToSourceTree (XalanSourceTreeDocument *theDocument, XalanSourceTreeDocumentFragment *theDocumentFragment, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    Construct a FormatterToSourceTree instance. More...
- virtual ~FormatterToSourceTree ()
- XalanSourceTreeDocument* getDocument () const
- void setDocument (XalanSourceTreeDocument *theDocument)
- XalanSourceTreeDocumentFragment* getDocumentFragment () const
- void setDocumentFragment (XalanSourceTreeDocumentFragment *theDocumentFragment)
- XalanSourceTreeElement* getCurrentElement () const
- void setCurrentElement (XalanSourceTreeElement *theElement)
- virtual void charactersRaw (const XMLCh *const chars, const unsigned int length)
- virtual void comment (const XMLCh *const data)
- virtual void cdata (const XMLCh *const ch, const unsigned int length)
- virtual void entityReference (const XMLCh *const name)
- virtual void setDocumentLocator (const LocatorType *const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement (const XMLCh *const name, AttributeListType &attrs)
- virtual void endElement (const XMLCh *const name)
- virtual void characters (const XMLCh *const chars, const unsigned int length)
- virtual void ignorableWhitespace (const XMLCh *const chars, const unsigned int length)
- virtual void processingInstruction (const XMLCh *const target, const XMLCh *const data)
- virtual void resetDocument ()

## Static Public Methods

- void initialize (MemoryManagerType &theManager)
    Perform static initialization. More...
- void terminate ()
    Perform static shut down. More...

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment.

## Member Typedef Documentation

typedef XalanVector< XalanSourceTreeElement *> FormatterToSourceTree::ElementStackType<XalanSourceTreeElement*>

typedef XalanVector< XalanNode *> FormatterToSourceTree::LastChildStackType<XalanNode*>

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eDefaultStackSize |
  eDefaultTextBufferSize |

## Constructor & Destructor Documentation

FormatterToSourceTree::FormatterToSourceTree ( | MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR,
| XalanSourceTreeDocument * theDocument = 0 )`[explicit]`

  | Construct a FormatterToSourceTree instance. it will add the nodes to the document. Parameters:
  theDocument | The document for nodes

FormatterToSourceTree::FormatterToSourceTree ( | XalanSourceTreeDocument * theDocument,
| XalanSourceTreeDocumentFragment * theDocumentFragment,
| MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR )

  | Construct a FormatterToSourceTree instance. it will add the nodes to the document fragment. Parameters:
  theDocument | The document for nodes
  theDocumentFragment | The document fragment for nodes

FormatterToSourceTree::~FormatterToSourceTree ( | )`[virtual]`

## Member Function Documentation

void FormatterToSourceTree::cdata ( | const XMLCh *const ch,
| const unsigned int length )`[virtual]`

void FormatterToSourceTree::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToSourceTree::charactersRaw ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToSourceTree::comment ( | const XMLCh *const data )`[virtual]`

void FormatterToSourceTree::endDocument ( | )`[virtual]`

void FormatterToSourceTree::endElement ( | const XMLCh *const name )`[virtual]`

void FormatterToSourceTree::entityReference ( | const XMLCh *const name )`[virtual]`

XalanSourceTreeElement * FormatterToSourceTree::getCurrentElement ( | ) const

XalanSourceTreeDocument * FormatterToSourceTree::getDocument ( | ) const

XalanSourceTreeDocumentFragment * FormatterToSourceTree::getDocumentFragment ( | ) const

void FormatterToSourceTree::ignorableWhitespace ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToSourceTree::initialize ( | MemoryManagerType & theManager )`[static]`

| Perform static initialization. See class XalanSourceTreeInit.

void FormatterToSourceTree::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

void FormatterToSourceTree::resetDocument ( | )`[virtual]`

void FormatterToSourceTree::setCurrentElement ( | XalanSourceTreeElement * theElement )

void FormatterToSourceTree::setDocument ( | XalanSourceTreeDocument * theDocument )

void FormatterToSourceTree::setDocumentFragment ( | XalanSourceTreeDocumentFragment * theDocumentFragment )

void FormatterToSourceTree::setDocumentLocator ( | const LocatorType *const locator )`[virtual]`

void FormatterToSourceTree::startDocument ( | )`[virtual]`

void FormatterToSourceTree::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

void FormatterToSourceTree::terminate ( | )`[static]`

| Perform static shut down. See class XalanSourceTreeInit.

The documentation for this class was generated from the following file:

- FormatterToSourceTree.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.